package com.zbkj.service.wangshang.api.domain.model.notify;


import com.zbkj.service.wangshang.api.domain.ResponseBody;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 通用下载申请结果通知（异步场景）< ant.mybank.bkmbp.stmt.apply.result.common.notify>
 * <p>
 * 开户结果异步通知
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "body")
public class BkmbpStmtApplyResultCommonNotifyModel extends ResponseBody {

    private static final long serialVersionUID = -3264596667211388155L;
    /**
     * 合作方机构号
     */
    @XmlElement(name = "IsvOrgId")
    private String isvOrgId;

    /**
     * 申请类型	String
     */
    @XmlElement(name = "StmtType")
    private String stmtType;

    /**
     * 外部流水号
     */
    @XmlElement(name = "OutRequestNo")
    private String outRequestNo;

    /**
     * 申请流水号
     */
    @XmlElement(name = "BackOrderNo")
    private String backOrderNo;

    /**
     * 申请状态
     */
    @XmlElement(name = "Status")
    private String status;

    /**
     * 电子回单CDN下载链接
     */
    @XmlElement(name = "PdfDownloadUrl")
    private String pdfDownloadUrl;

    public String getIsvOrgId() {
        return isvOrgId;
    }

    public void setIsvOrgId(String isvOrgId) {
        this.isvOrgId = isvOrgId;
    }

    public String getStmtType() {
        return stmtType;
    }

    public void setStmtType(String stmtType) {
        this.stmtType = stmtType;
    }

    public String getOutRequestNo() {
        return outRequestNo;
    }

    public void setOutRequestNo(String outRequestNo) {
        this.outRequestNo = outRequestNo;
    }

    public String getBackOrderNo() {
        return backOrderNo;
    }

    public void setBackOrderNo(String backOrderNo) {
        this.backOrderNo = backOrderNo;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPdfDownloadUrl() {
        return pdfDownloadUrl;
    }

    public void setPdfDownloadUrl(String pdfDownloadUrl) {
        this.pdfDownloadUrl = pdfDownloadUrl;
    }
}